<template>
  <ac-collection-grouped
    ref="ac_collection_grouped"
    :url="collection.url"
    :method="collection.method"
    :params="collection.params"
    :loading_image="collection.loading_image"
    :sort_key="collection.sort_key"
    :ac_cursor="{}"
    group_key="postId"
  >
    <template v-slot:header>Main Header</template>

    <template v-slot:group_header="{ title }">
      <h2>Group {{ title }}</h2>
    </template>

    <template v-slot:body="{ data }" class="item">
      <div v-for="(value, key) in data" :key="key" class="mb-2">
        <b-card>{{ value.body }}</b-card>
      </div>
    </template>

    <template v-slot:group_footer>group Footer</template>

    <template v-slot:footer>Main footer</template>
  </ac-collection-grouped>
</template>

<script>
export default {
  data() {
    return {
      collection: {
        url: "https://jsonplaceholder.typicode.com/posts/1/comments",
        loading_image:
          "https://loading.io/spinners/dual-ring/lg.dual-ring-loader.gif",
        ac_cursor: {
          postId: 1
        },
        method: "GET",
        params: {
          headers: {
            "Custom-Header": "My custom header"
          }
        },
        sort_key: "name"
      }
    };
  },
  mounted() {
    this.$refs.ac_collection_grouped.set_ajax();
    console.log(this.$refs);
  }
};
</script>

<style>
</style>
